## python-designateclient 1.0.0

=== requirements.txt ===
cliff>=1.4.3
jsonschema>=1.3.0,!=1.4.0
pbr>=0.5.21,<1.0
python-keystoneclient>=0.3.2
requests>=1.1
stevedore>=0.10

=== debian/changelog ===
python-designateclient (1.0.0-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Dec 2013 10:08:35 -0500

=== debian/control ===
Source: python-designateclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3~), python-pbr,
 python-setuptools,  python-cliff, python-jsonschema, python-keystoneclient,
 python-requests, python-stevedore, python-mox, testrepository
Standards-Version: 3.9.4

Package: python-designateclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-cliff,
 python-keystoneclient, python-requests, python-stevedore
Description: dns as a service - client
 Python client for designate - dns as a  service

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/python-designateclient/python-designateclient-(.*)\.tar.gz

## python-designateclient 1.0.3

=== requirements.txt ===
cliff>=1.4.3
jsonschema>=2.0.0,<3.0.0
pbr>=0.6,<1.0
python-keystoneclient>=0.6.0
requests>=1.1
stevedore>=0.14

=== debian/changelog ===
python-designateclient (1.0.3-1~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 13 Oct 2014 04:09:41 -0400

python-designateclient (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed pep8 and pyflakes from build-depends.
  * Using testr and subunit correctly.
  * Now also packaging doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2014 01:48:47 +0800

python-designateclient (1.0.2-1) experimental; urgency=low

  * Initial release (Closes: #731407)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 15:53:48 +0800

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6)
Build-Depends-Indep: python-cliff (>= 1.4.3),
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.8.0),
                     python-jsonschema,
                     python-keystoneclient (>= 1:0.6.0),
                     python-mox,
                     python-requests (>= 1.1),
                     python-sphinx,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Homepage: https://github.com/stackforge/python-designateclient
Vcs-Git: git://anonscm.debian.org/openstack/python-designateclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-designateclient.git;a=summary

Package: python-designateclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-cliff (>= 1.4.3),
         python-jsonschema,
         python-keystoneclient (>= 1:0.6.0),
         python-pbr (>= 0.6),
         python-requests (>= 1.1),
         python-stevedore (>= 0.14),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: client library for the OpenStack Designate API
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.

## python-designateclient 1.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=1.7.0  # Apache-2.0
jsonschema>=2.0.0,<3.0.0
pbr>=0.6,!=0.7,<1.0
python-keystoneclient>=0.11.1
requests>=2.2.0,!=2.4.0
six>=1.7.0
stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
python-designateclient (1.1.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Mar 2015 16:03:14 +0000

python-designateclient (1.1.1-0ubuntu1) vivid; urgency=medium

  * New usptream release 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 10:22:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-designateclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>
@@ -14,7 +15,9 @@
                      python-hacking (>= 0.8.0),
                      python-jsonschema,
                      python-keystoneclient (>= 1:0.6.0),
+                     python-six,
                      python-mox,
+                     python-oslosphinx,
                      python-requests (>= 1.1),
                      python-sphinx,
                      python-stevedore (>= 0.14),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/python-designateclient.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-designateclient/usr/share/doc/python-designateclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
#	mv doc/build/man/designateclient.1 doc/build/man/designate.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build .testrepository

=== debian/watch ===
version=3
https://github.com/stackforge/python-designateclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-designateclient 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=1.14.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
oslo.utils>=2.0.0 # Apache-2.0
pbr>=1.6
python-keystoneclient>=1.6.0
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
debtcollector>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (1.5.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 25 Sep 2015 20:58:32 +0000

python-designateclient (1.5.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * Update watch file to use Debian pypi redirector.

  [ Thomas Goirand ]
  * Removed Pre-Depends: dpkg (>= 1.15.6~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 11:48:03 +0000

python-designateclient (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 22:34:19 +0000

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-cliff (>= 1.14.0),
                     python-coverage,
                     python-debtcollector,
                     python-hacking (>= 0.9.2),
                     python-jsonschema,
                     python-keystoneclient (>= 1:0.11.1),
                     python-mock (>= 1.2),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests,
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-designateclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-designateclient.git;a=summary
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient
Architecture: all
Depends: python-cliff (>= 1.14.0),
         python-debtcollector,
         python-jsonschema,
         python-keystoneclient (>= 1:0.11.1),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-requests,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: client library for the OpenStack Designate API
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.

## python-designateclient 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.utils>=3.5.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.1.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 10 Sep 2016 13:00:52 +0000

python-designateclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:02:27 +0000

python-designateclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:11:33 +0200

python-designateclient (2.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Corey Bryant ]
  * d/control: Update uploaders.
  * d/rules: Install missing json files.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:27:38 +0000

python-designateclient (1.5.0-4) unstable; urgency=medium

  * Fix upgrade from Jessie by adding Breaks+Replaces (Closes: #814523).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 04:38:17 +0000

python-designateclient (1.5.0-3) unstable; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Feb 2016 15:51:58 +0800

python-designateclient (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:47:36 +0000

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-hacking (>= 0.9.2),
                     python-jsonschema,
                     python-keystoneclient (>= 1:0.11.1),
                     python-mock (>= 1.2),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests,
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python3-cliff (>= 1.15.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-jsonschema,
                     python3-keystoneclient (>= 1:0.11.1),
                     python3-mock (>= 1.2),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests,
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/openstack/python-designateclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-designateclient.git
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-debtcollector (>= 1.2.0),
         python-jsonschema,
         python-keystoneclient (>= 1:0.11.1),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: client library for the OpenStack Designate API - Python 2.7
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 2.7 module.

Package: python3-designateclient
Architecture: all
Depends: python3-cliff (>= 1.15.0),
         python3-debtcollector (>= 1.2.0),
         python3-jsonschema,
         python3-keystoneclient (>= 1:0.11.1),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-requests,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-designateclient (<= 1.5.0-3~)
Replaces: python-designateclient (<= 1.5.0-3~)
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-designateclient/python-designateclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-designateclient 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
osc-lib>=1.0.2 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.3.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 22:14:11 +0000

python-designateclient (2.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:14:28 +0200

python-designateclient (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * designateclient/v2/cli/recordsets.py: Update from upstream 2.3.0 version.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 09:58:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -20,34 +20,37 @@
                      python-debtcollector (>= 1.2.0),
                      python-hacking (>= 0.9.2),
                      python-jsonschema,
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystoneclient (>= 1:0.11.1),
-                     python-mock (>= 1.2),
-                     python-oslo.utils (>= 3.5.0),
+                     python-mock (>= 2.0),
+                     python-osc-lib (>= 1.0.2),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-requests,
-                     python-requests-mock (>= 0.7.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest-lib (>= 0.14.0),
                      python3-cliff (>= 1.15.0),
                      python3-debtcollector (>= 1.2.0),
                      python3-jsonschema,
+                     python3-keystoneauth1 (>= 2.10.0),
                      python3-keystoneclient (>= 1:0.11.1),
-                     python3-mock (>= 1.2),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
-                     python3-requests,
-                     python3-requests-mock (>= 0.7.0),
+                     python3-mock (>= 2.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-tempest-lib (>= 0.14.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/openstack/python-designateclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-designateclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-designateclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-designateclient -b debian/newton
 Homepage: https://github.com/openstack/python-designateclient
 
 Package: python-designateclient
@@ -55,12 +58,14 @@
 Depends: python-cliff (>= 1.15.0),
          python-debtcollector (>= 1.2.0),
          python-jsonschema,
+         python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 1:0.11.1),
-         python-oslo.utils (>= 3.5.0),
+         python-osc-lib (>= 1.0.2),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
-         python-requests,
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
@@ -84,12 +89,13 @@
 Depends: python3-cliff (>= 1.15.0),
          python3-debtcollector (>= 1.2.0),
          python3-jsonschema,
+         python3-keystoneauth1 (>= 2.10.0),
          python3-keystoneclient (>= 1:0.11.1),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
-         python3-requests,
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: client library for the OpenStack Designate API - Python 3.x

## python-designateclient 2.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=2.3.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
osc-lib>=1.2.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.6.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 10:06:18 -0500

python-designateclient (2.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:07:00 -0500

python-designateclient (2.4.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Dec 2016 09:09:58 -0500

python-designateclient (2.3.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * designateclient/v2/cli/recordsets.py: Update from upstream 2.3.0 version.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 11:39:20 -0400

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 2.3.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-hacking (>= 0.10),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-mock (>= 2.0),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python3-cliff (>= 2.3.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-hacking (>= 0.10),
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-mock (>= 2.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testrepository (>= 0.0.18),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient
Architecture: all
Depends: python-cliff (>= 2.3.0),
         python-debtcollector (>= 1.2.0),
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: client library for the OpenStack Designate API - Python 2.7
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 2.7 module.

Package: python3-designateclient
Architecture: all
Depends: python3-cliff (>= 2.3.0),
         python3-debtcollector (>= 1.2.0),
         python3-jsonschema,
         python3-keystoneauth1 (>= 2.10.0),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends}
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-designateclient (<= 1.5.0-3~)
Replaces: python-designateclient (<= 1.5.0-3~)
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

## python-designateclient 2.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=2.6.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
osc-lib>=1.5.1 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=2.21.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.7.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 21:54:28 +0000

python-designateclient (2.7.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 16:23:22 -0400

=== debian/control ===
--- 
+++ 
@@ -10,48 +10,48 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
-Build-Depends-Indep: python-cliff (>= 2.3.0),
+Build-Depends-Indep: python-cliff (>= 2.6.0),
                      python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
-                     python-hacking (>= 0.10),
+                     python-hacking (>= 0.12),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 2.21.0),
                      python-mock (>= 2.0),
-                     python-osc-lib (>= 1.2.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-osc-lib (>= 1.5.1),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
-                     python3-cliff (>= 2.3.0),
+                     python3-cliff (>= 2.6.0),
                      python3-coverage (>= 4.0),
                      python3-debtcollector (>= 1.2.0),
-                     python3-hacking (>= 0.10),
+                     python3-hacking (>= 0.12),
                      python3-jsonschema (>= 2.0.0),
-                     python3-keystoneauth1 (>= 2.18.0),
+                     python3-keystoneauth1 (>= 2.21.0),
                      python3-mock (>= 2.0),
-                     python3-osc-lib (>= 1.2.0),
-                     python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.utils (>= 3.18.0),
-                     python3-oslosphinx (>= 4.7.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-osc-lib (>= 1.5.1),
+                     python3-oslo.config (>= 1:4.0.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-requests (>= 2.10.0),
+                     python3-requests (>= 2.14.2),
                      python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.17.1),
+                     python3-stevedore (>= 1.20.0),
                      python3-subunit,
-                     python3-tempest (>= 1:12.1.0),
+                     python3-tempest (>= 1:16.1.0),
                      python3-testrepository (>= 0.0.18),
                      subunit,
                      testrepository
@@ -62,16 +62,16 @@
 
 Package: python-designateclient
 Architecture: all
-Depends: python-cliff (>= 2.3.0),
+Depends: python-cliff (>= 2.6.0),
          python-debtcollector (>= 1.2.0),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.10.0),
-         python-osc-lib (>= 1.2.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
-         python-requests (>= 2.10.0),
+         python-keystoneauth1 (>= 2.21.0),
+         python-osc-lib (>= 1.5.1),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends}
@@ -92,16 +92,16 @@
 
 Package: python3-designateclient
 Architecture: all
-Depends: python3-cliff (>= 2.3.0),
+Depends: python3-cliff (>= 2.6.0),
          python3-debtcollector (>= 1.2.0),
          python3-jsonschema,
-         python3-keystoneauth1 (>= 2.10.0),
-         python3-osc-lib (>= 1.2.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
-         python3-requests (>= 2.10.0),
+         python3-keystoneauth1 (>= 2.21.0),
+         python3-osc-lib (>= 1.5.1),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.17.1),
+         python3-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python3:Depends}
 Description: client library for the OpenStack Designate API - Python 3.x
